/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

import java.util.ArrayList;
import java.util.List;

/**
 * Represents <relationships> elements of the ejb-jar.xml deployment descriptor for the 1.4
 * schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.3.2.3 $</tt>
 */
public class Relationships
{

   private List ejbRelations = new ArrayList();

   public List getEjbRelations()
   {
      return ejbRelations;
   }

   public void setEjbRelations(List ejbRelations)
   {
      this.ejbRelations = ejbRelations;
   }

   public void addEjbRelation(EjbRelation ejbRelation)
   {
      ejbRelations.add(ejbRelation);
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("ejbRelations=").append(ejbRelations);
      sb.append("]");
      return sb.toString();
   }
}
